Functions

# rpmio/ugid.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | unameToUid (const char *thisUname, uid_t *uid)
int | gnameToGid (const char *thisGname, gid_t *gid)
char * | uidToUname (uid_t uid)
char * | gidToGname (gid_t gid)

## Detailed Description

Definition in file ugid.h.

## Function Documentation

char* gidToGname | ( | gid_t | gid ) |

Definition at line 145 of file ugid.c.

References xrealloc().

Referenced by rpmVerifyFile(), tarHeaderWrite(), and unsatisfiedDepend().

int gnameToGid | ( | const char * | thisGname,
|  | gid_t * | gid
| ) |  |

Definition at line 60 of file ugid.c.

References xrealloc().

Referenced by fsmMapAttrs(), unsatisfiedDepend(), and vfs_parse_ls_lga().

char* uidToUname | ( | uid_t | uid ) |

Definition at line 114 of file ugid.c.

References xrealloc().

Referenced by rpmVerifyFile(), tarHeaderWrite(), and unsatisfiedDepend().

int unameToUid | ( | const char * | thisUname,
|  | uid_t * | uid
| ) |  |

Definition at line 16 of file ugid.c.

References xrealloc().

Referenced by fsmMapAttrs(), unsatisfiedDepend(), and vfs_parse_ls_lga().